[Pkg-ocaml-maint-commits] r922 - packages/advi/branches/split/debian/patches

Helge Kreutzmann kreutzm-guest@costa.debian.org
Mon, 24 Jan 2005 09:12:57 +0100


Author: kreutzm-guest
Date: 2005-01-24 09:12:56 +0100 (Mon, 24 Jan 2005)
New Revision: 922

Added:
   packages/advi/branches/split/debian/patches/fix_examples_includes.dpatch
Log:
To properly get the figures, we link them into the test-directory
during build; need to adjust includes accordingly


Added: packages/advi/branches/split/debian/patches/fix_examples_includes.dpatch
===================================================================
--- packages/advi/branches/split/debian/patches/fix_examples_includes.dpatch	2005-01-24 08:12:03 UTC (rev 921)
+++ packages/advi/branches/split/debian/patches/fix_examples_includes.dpatch	2005-01-24 08:12:56 UTC (rev 922)
@@ -0,0 +1,50 @@
+#! /bin/sh -e
+## fix_examples_includes.dpatch by <kreutzm@itp.uni-hannover.de>
+##
+## All lines beginning with `## DP:' are a description of the patch.
+## DP: Switch included graphics to local directories for proper display in
+## DP: /usr/share/...-directories
+
+if [ $# -lt 1 ]; then
+    echo "`basename $0`: script expects -patch|-unpatch as argument" >&2
+    exit 1
+fi
+
+[ -f debian/patches/00patch-opts ] && . debian/patches/00patch-opts
+patch_opts="${patch_opts:--f --no-backup-if-mismatch} ${2:+-d $2}"
+
+case "$1" in
+    -patch) patch -p1 ${patch_opts} < $0;;
+    -unpatch) patch -R -p1 ${patch_opts} < $0;;
+    *)
+        echo "`basename $0`: script expects -patch|-unpatch as argument" >&2
+        exit 1;;
+esac
+
+exit 0
+
+@DPATCH@
+diff -urN advi-1.6.0.orig/examples/basics/moderate.tex advi-1.6.0/examples/basics/moderate.tex
+--- advi-1.6.0.orig/examples/basics/moderate.tex	2003-11-07 13:15:01.000000000 +0100
++++ advi-1.6.0/examples/basics/moderate.tex	2005-01-01 19:30:23.000000000 +0100
+@@ -17,7 +17,7 @@
+ % Just at the beginning of page, not too large
+ \def\adviheader{\vspace*{-0.1\textheight}\noindent{\tiny{%
+ My talk title is written on each page}\\
+-\includegraphics[width=\textwidth,height=0.8EM]{../../tex/bar.eps}}}
++\includegraphics[width=\textwidth,height=0.8EM]{bar.eps}}}
+ 
+ \let \Newpage \newpage
+ \def \newpage {\Newpage \advifooter\adviheader}
+diff -urN advi-1.6.0.orig/examples/basics/simple.tex advi-1.6.0/examples/basics/simple.tex
+--- advi-1.6.0.orig/examples/basics/simple.tex	2003-11-07 13:15:01.000000000 +0100
++++ advi-1.6.0/examples/basics/simple.tex	2005-01-01 19:40:34.000000000 +0100
+@@ -12,7 +12,7 @@
+ 
+ \def\adviheader{\noindent
+ {\bf\Large My talk title is written on each page}\\
+-\includegraphics[width=\textwidth]{../../tex/bar.eps}\par}
++\includegraphics[width=\textwidth]{bar.eps}\par}
+ 
+ \let \Newpage \newpage
+ \def \newpage {\Newpage \advifooter\adviheader}


Property changes on: packages/advi/branches/split/debian/patches/fix_examples_includes.dpatch
___________________________________________________________________
Name: svn:executable
   + *